package jp.co.ois.sample.hogeweb;

import java.util.Arrays;

import org.springframework.boot.autoconfigure.EnableAutoConfiguration;
import org.springframework.boot.builder.SpringApplicationBuilder;
import org.springframework.boot.web.servlet.support.SpringBootServletInitializer;
import org.springframework.context.annotation.ComponentScan;

import lombok.extern.slf4j.Slf4j;

@EnableAutoConfiguration
@ComponentScan()
@Slf4j
public class WebApp extends SpringBootServletInitializer {

    @Override
    protected SpringApplicationBuilder configure(SpringApplicationBuilder application) {
        log.info("called.");
        return application.sources(WebApp.class)
                .properties("spring.config.name=application,env");
    }

    public static void main(String[] args) throws ClassNotFoundException {
        log.info("called. {}", Arrays.deepToString(args));
        new SpringApplicationBuilder(WebApp.class)
                .properties("spring.config.name=application,env")
                .run(args);
    }
}
